:root {
  font-family: Consolas, "Lucida Console", "Liberation Mono", monospace;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  color-scheme: dark;

  --primary-color: #eeeeee;
  --secondary-color: #484848;
  --background-color: #0a0a0a;

  --accent-color: #da6c76;
  --comment-color: #5491a1;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  color: var(--primary-color);
  background-color: var(--background-color);

  margin: 0;
  padding: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
}

main {
  display: flex;
  flex-direction: row-reverse;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 1rem;

  padding: 2rem;
  width: min(100%, 72rem);

  hr {
    border: none;
    border-top: 1px solid var(--secondary-color);
  }

  &.flex-column {
    gap: 1rem;
    flex-direction: column;
  }
}

.room {
  flex: 1 1 640px;
  display: flex;
  justify-content: center;
}

.window {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: min(100%, 640px);
  aspect-ratio: 17 / 12;
  padding: -5px;
}

.window-image {
  position: absolute;
  z-index: 0;
  width: calc(100% * 600 / 640);
  height: auto;
  image-rendering: pixelated;
}

.window-frame {
  color: var(--background-color);
  position: absolute;
  z-index: 1;
  width: 100%;
  height: auto;

  pointer-events: none;
}

.text {
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
  flex: 1 1 20rem;
  min-width: 22rem;
}

.line {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.25rem;
}

.single-line {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  gap: 0.75rem;
}

h1 {
  color: var(--primary-color);
  line-height: 1.2;
}

.comment {
  color: var(--comment-color);
}

ul {
  list-style: none;
  display: flex;
  flex-direction: column;
}

li {
  display: flex;
  gap: 0.5rem;

  &::before {
    content: "→";
  }

  a {
    color: var(--accent-color);
  }

  &:not(:first-child) {
    margin-top: 0.5rem;
  }

  &:not(:last-child) {
    margin-bottom: 0.5rem;
  }
}

.stack {
  display: flex;
  flex-wrap: wrap;
  gap: 1ch;

  a {
    font-weight: 600;
    padding: 0 0.25rem;
    text-decoration: none;
  }

  a:hover {
    text-decoration: underline;
  }
}
